#### D.6.13.7 sppairs

Procedure from library `gmssing.lib` (see gmssing_lib).

Usage:
  sppairs(t); poly t

Assume:
  characteristic 0; local degree ordering;
  isolated critical point 0 of t

Return:

      list spp;  spectral pairs of t
        ideal spp[1];
          number spp[1][i];  V-filtration index of i-th spectral pair
        intvec spp[2];
          int spp[2][i];  weight filtration index of i-th spectral pair
        intvec spp[3];
          int spp[3][i];  multiplicity of i-th spectral pair

Example:

    LIB "gmssing.lib";
    ring R=0,(x,y),ds;
    poly t=x5+x2y2+y5;
    sppprint(sppairs(t));
    ==> ((-1/2,2),1),((-3/10,1),2),((-1/10,1),2),((0,1),1),((1/10,1),2),((3/10,1)\
       ,2),((1/2,0),1)

See also: spectrum_lib.

User manual for Singular version 4.4.1, 2025, generated by texi2html.